## org.mortbay.cometd.continuation
Class ContinuationCometdServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.mortbay.cometd.AbstractCometdServlet
              org.mortbay.cometd.continuation.ContinuationCometdServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class ContinuationCometdServlet

extends AbstractCometdServlet

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.cometd.AbstractCometdServlet
`__DEFAULT_REFS_THRESHOLD, _bayeux, _refsThreshold, BROWSER_ID, CLIENT_ATTR, HTTP_CLIENT_ID, MESSAGE_PARAM, TRANSPORT_ATTR, TUNNEL_INIT_PARAM`

Constructor Summary
`ContinuationCometdServlet()`

Method Summary
`protected AbstractBayeux` `newBayeux()`
`protected void` `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class org.mortbay.cometd.AbstractCometdServlet
`browserId, getBayeux, getMessages, init, newBrowserId, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinuationCometdServlet

    public ContinuationCometdServlet()

Method Detail

### newBayeux

    protected AbstractBayeux newBayeux()

  Specified by:
    `newBayeux` in class `AbstractCometdServlet`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Specified by:
    `service` in class `AbstractCometdServlet`
  Throws:
    `ServletException`
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.